# Компилятор

Раздел содержит описание компилятора, как он там внутри устроен.

## Структурная схема

```mermaid
flowchart TD
    subgraph coord
        Коорд
        КоордПоз
        КоордСтрока
        КоордПоз --> Коорд
        КоордСтрока --> Коорд
    end
    subgraph rune
        ИсхРуна
        Коорд --> ИсхРуна
    end
    subgraph src_line
        ИсхСтрока
        КоордСтрока --> ИсхСтрока
    end
    subgraph module
        Модуль
        ИсхРуна --> СписРун
        СписРун --> Модуль
        ИсхСтрока --> СписСтрок
        СписСтрок --> Модуль
        Коммент --> Модуль
        Импорт --> Модуль
        Типы --> Модуль
        Переменные --> Модуль
        Функции --> Модуль
        СекцияНачало --> Модуль
    end
    subgraph list_modules
        Модуль --> СписМодулей
    end
    subgraph generator
        Генератор
    end
    subgraph compiler
        Опции --> Компилятор
        СписМодулей --> Компилятор
        Генератор --> Компилятор
    end
```