// package coord_line -- номер строки исходника
package coord_line

import (
	мФорм "fmt"

	мАлиас "p78git.ddns.net/svi/odeft/pkg/alias"
)

// КоордСтрока -- номер строки исходника
type КоордСтрока struct {
	знач мАлиас.КоордСтрока
}

// НовКоордСтрока -- возвращает новую координату строки
func НовКоордСтрока(ном мАлиас.КоордСтрока) (*КоордСтрока, error) {
	if ном == 0 {
		return nil, мФорм.Errorf("НовКоордСтрока(): ном==0")
	}
	сам := &КоордСтрока{
		знач: ном,
	}
	return сам, nil
}

// Знач -- возвращает хранимый номер строки
func (сам *КоордСтрока) Знач() мАлиас.КоордСтрока {
	return сам.знач
}
