package coord_line

import (
	"testing"
)

/*
	Тстирует номер строки исходника
*/

type тестер struct {
	т *testing.T
}

func TestКоордСтрока(т *testing.T) {
	сам := &тестер{
		т: т,
	}
	сам.создать()
}

// Создание номера строки
func (сам *тестер) создать() {
	сам.т.Log("создать")
	сам.создатьСбой1()
	сам.создатьОк1()
}

func (сам *тестер) создатьОк1() {
	сам.т.Log("создатьОк1")
	кСтр, ош := НовКоордСтрока(28)
	if ош != nil {
		сам.т.Fatalf("создатьОк1(): ош=%v", ош)
	}
	if кСтр == nil {
		сам.т.Fatalf("создатьОк1(): кСтр==нил")
	}
	if знач := кСтр.Знач(); знач != 28 {
		сам.т.Fatalf("создатьОк1(): кСтр!=28")
	}
}

// нулевой номер строки
func (сам *тестер) создатьСбой1() {
	сам.т.Log("создатьСбой1")
	кСтр, ош := НовКоордСтрока(0)
	if ош == nil {
		сам.т.Fatalf("создатьСбой1(): ош==нил")
	}
	if кСтр != nil {
		сам.т.Fatalf("создатьСбой1(): кСтр!=нил")
	}
}
