// package cons -- константы компилятора
package cons

import (
	мАлиас "p78git.ddns.net/svi/odeft/pkg/alias"
)

const ( // Класс литеры
	Буква           = мАлиас.ЛитераТип("буква")
	Цифра           = мАлиас.ЛитераТип("цифра")
	Пробел          = мАлиас.ЛитераТип("пробел")
	Точка           = мАлиас.ЛитераТип("точка")
	Разделитель     = мАлиас.ЛитераТип("разделитель") // Например, пробел, таблуция
	ПереводСтроки   = мАлиас.ЛитераТип("перевод_строки")
	Дефис           = мАлиас.ЛитераТип("дефис")
	Двоеточие       = мАлиас.ЛитераТип("двоеточие")
	ТчкЗпт          = мАлиас.ЛитераТип("точка_с_запятой")
	КавычОдинар     = мАлиас.ЛитераТип("кавычка_одиночная")
	КомментСтроч    = мАлиас.ЛитераТип("строчный_комментарий")
	НовСтрока       = мАлиас.ЛитераТип("новая_строка")
	Равно           = мАлиас.ЛитераТип("равно")
	СлэшАп          = мАлиас.ЛитераТип("/")
	СлэшДаун        = мАлиас.ЛитераТип("\\")
	Звезда          = мАлиас.ЛитераТип("*")
	СкобкаФигурОткр = мАлиас.ЛитераТип("скобка_фигурная_откр")
	СкобкаФигурЗакр = мАлиас.ЛитераТип("скобка_фигурная_закр")

	СкобкаКругОткр = мАлиас.ЛитераТип("скобка_круглая_откр")
	СкобкаКругЗакр = мАлиас.ЛитераТип("скобка_круглая_закр")

	СкобкаКвадрОткр = мАлиас.ЛитераТип("скобка_квадратная_откр")
	СкобкаКвадрЗакр = мАлиас.ЛитераТип("скобка_квадратная_закр")

	Запятая = мАлиас.ЛитераТип("запятая")

	ЗнакВоскл = мАлиас.ЛитераТип("знак_воскл")
	ЗнакВопр  = мАлиас.ЛитераТип("знак_вопр")
)
