// package main -- пускач для компилятора Оберона-У
package main

import (
	мЛог "log"

	мКомпилятор "p78git.ddns.net/svi/odeft/internal/compiler"
)

func main() {
	мЛог.Printf("main(): Оберон-У компилятор\n")
	пуск()
}

func пуск() {
	компилятор, ош := мКомпилятор.НовКомпилятор()
	if ош != nil {
		мЛог.Printf("пуск(): при создании компилятора, ош=\n\t%v\n", ош)
		panic(1)
	}
	if err := компилятор.Пуск(); err != nil {
		мЛог.Printf("пуск(): при работе компилятора, ош=\n\t%v\n", err)
		panic(2)
	}
}
