// package coord -- координата литеры
package coord

import (
	мФорм "fmt"

	мКстр "p78git.ddns.net/svi/odeft/internal/module/coord/coord_line"
	мКпоз "p78git.ddns.net/svi/odeft/internal/module/coord/coord_pos"
	мАлиас "p78git.ddns.net/svi/odeft/pkg/alias"
	мТип "p78git.ddns.net/svi/odeft/pkg/types"
)

// Коорд -- координата литеры в исходном тексте
type Коорд struct {
	поз    *мКпоз.КоордПоз
	строка *мКстр.КоордСтрока
}

// НовКоорд -- возвращает новую изменяемую координату
func НовКоорд(поз мАлиас.КоордПоз, стр мАлиас.КоордСтрока) (*Коорд, error) {
	_поз := мКпоз.НовКоордПоз(поз)
	_стр, ош := мКстр.НовКоордСтрока(стр)
	if ош != nil {
		return nil, мФорм.Errorf("НовКоорд(): при создании КоордСтрока, ош=\n\t%w", ош)
	}
	сам := &Коорд{
		поз:    _поз,
		строка: _стр,
	}
	_ = мТип.ИКоорд(сам)
	return сам, nil
}

// КоордСтр -- во
