package coord

import "testing"

/*
	Тест для объекта координаты литеры
*/

type тестер struct {
	т *testing.T
}

func TestКоорд(t *testing.T) {
	сам := &тестер{
		т: t,
	}
	сам.создать()
}

// Создаёт координату
func (сам *тестер) создать() {
	сам.т.Log("создать")
	сам.создатьСбой1()
	сам.создатьОк1()
}

func (сам *тестер) создатьОк1() {
	сам.т.Log("создатьОк1")
	коорд, ош := НовКоорд(0, 1)
	if ош != nil {
		сам.т.Fatalf("создатьОк1(): ош=%v", ош)
	}
	if коорд == nil {
		сам.т.Fatalf("создатьОк1(): коорд==нил")
	}
}

// Кривой номер строки
func (сам *тестер) создатьСбой1() {
	сам.т.Log("создатьСбой1")
	коорд, ош := НовКоорд(0, 0)
	if ош == nil {
		сам.т.Fatalf("создатьСбой1(): ош==нил")
	}
	if коорд != nil {
		сам.т.Fatalf("создатьСбой1(): коорд!=нил")
	}
}
