// package types -- тиизация для проекта
package types

import (
	мАлиас "p78git.ddns.net/svi/odeft/pkg/alias"
)

// ИКоордПоз -- позиция литеры в строке
type ИКоордПоз interface {
	// Знач -- возвращает хранимое значение
	Знач() мАлиас.КоордПоз
}

// ИКоордСтр -- номер строки исходника
type ИКоордСтр interface {
	// Знач -- возвращает хранимое значение
	Знач() мАлиас.КоордСтрока
}

// ИКоорд -- фиксированная координата литеры в исходнике
type ИКоорд interface {
	// Поз -- возвращает позицию литеры в строке
	Поз() ИКоордПоз
	// КоордСтр -- возвращает номер строки
	КоордСтр() ИКоордСтр
}
